MatrixClass {Matrix} | R Documentation

## The Matrix (Super-) Class of a Class

### Description

Return the (maybe super-)`class` of class `cl` from package Matrix, returning `character(0)` if there is none.

### Usage

    MatrixClass(cl, cld = getClassDef(cl), ...Matrix = TRUE,
                dropVirtual = TRUE, ...)

### Arguments

`cl` | string, class name
`cld` | its class definition
`...Matrix` | `logical` indicating if the result must be of pattern `"[dlniz]..Matrix"` where the first letter "[dlniz]" denotes the content kind.
`dropVirtual` | `logical` indicating if virtual classes are included or not.

`...` | further arguments are passed to `.selectSuperClasses()`.

### Value

a `character` string

### Author(s)

Martin Maechler, 24 Mar 2009

### See Also

`Matrix`, the mother of all Matrix classes.

### Examples

    mkA <- setClass("A", contains="dgCMatrix")
    (A <- mkA())
    stopifnot(identical(
         MatrixClass("A"),
         "dgCMatrix"))

[Package Matrix version 1.2-7.1 Index]